## com.puppycrawl.tools.checkstyle.checks
Class RequiredRegexpCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
                      com.puppycrawl.tools.checkstyle.checks.RequiredRegexpCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class RequiredRegexpCheck

extends AbstractFormatCheck

A check that makes sure that a specified pattern exists in the code.

An example of how to configure the check to make sure a copyright statement is included in the file (but without requirements on where in the file it should be):

     <module name="RequiredRegexp">
        <property name="format" value="This code is copyrighted"/>
     </module>

Author:
  Daniel Grenner

Constructor Summary
`RequiredRegexpCheck()` Instantiates an new GenericIllegalRegexpCheck.

Method Summary
`void` `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
`getFormat, getRegexp, setCompileFlags, setFormat`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequiredRegexpCheck

    public RequiredRegexpCheck()

  Instantiates an new GenericIllegalRegexpCheck.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### beginTree

    public void beginTree(DetailAST aRootAST)

  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree

Back to the Checkstyle Home Page